Last Comment Bug 705145 - Multiple selection lists cannot be scrolled
: Multiple selection lists cannot be scrolled
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P2 normal (vote)
: ---
Assigned To: Wesley Johnston (:wesj)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-24 08:15 PST by Cristian Nicolae (:xti)
Modified: 2016-07-29 14:20 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Patch (1.35 KB, patch)
2011-12-09 05:47 PST, Wesley Johnston (:wesj)
no flags Details | Diff | Splinter Review
Patch (1.43 KB, patch)
2011-12-09 07:33 PST, Wesley Johnston (:wesj)
mark.finkle: review+
Details | Diff | Splinter Review

Description Cristian Nicolae (:xti) 2011-11-24 08:15:25 PST
Mozilla/5.0 (Android;Linux armv7l;rv:11.0a1)Gecko/20111124
Firefox/11.0a1 Fennec/11.0a1
Devices: Samsung Galaxy Nexus S
OS: Android 2.3.4

Steps to reproduce:
1. Open Fennec App
2. Browse to bugzilla.mozilla.org
3. Tap on Search button > Advance search
4. Scroll down the "Product" multi-selection list

Expected result:
The "Product" list is scrollable.

Actual result:
The "Product" list cannot be scrolled. There will be the same results for any other multi-selection list.
Comment 1 Wesley Johnston (:wesj) 2011-12-09 05:47:37 PST
Created attachment 580388 [details] [diff] [review]
Patch

Add these to the list of scrollable things.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-09 06:34:38 PST
Comment on attachment 580388 [details] [diff] [review]
Patch

I know this bug is about multiple select listboxes (<select size='1' multiple='1'/>), but should this really be about _any_ listbox (<select size='1'/>) ?
Comment 3 Wesley Johnston (:wesj) 2011-12-09 07:33:43 PST
Created attachment 580409 [details] [diff] [review]
Patch

Oh good catch. This scrolls multiple selects and selects with size > 1. Test page:

http://dl.dropbox.com/u/72157/Testing/Select.html
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-09 09:06:10 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/a64d8d8b512e
Comment 5 Ed Morley [:emorley] 2011-12-10 20:33:16 PST
https://hg.mozilla.org/mozilla-central/rev/a64d8d8b512e
Comment 6 :Ms2ger (⌚ UTC+1/+2) 2011-12-11 01:39:56 PST
Comment on attachment 580409 [details] [diff] [review]
Patch

>--- a/mobile/android/chrome/content/browser.js
>+++ b/mobile/android/chrome/content/browser.js
>-             elem.localName == 'textarea' ||
>-             elem.localName == 'html' ||
>-             elem.localName == 'body')) {
>+             elem.mozMatchesSelector("html, body, textarea")) ||

Why?
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2011-12-11 07:21:18 PST
(In reply to Ms2ger from comment #6)
> Comment on attachment 580409 [details] [diff] [review]
> Patch
> 
> >--- a/mobile/android/chrome/content/browser.js
> >+++ b/mobile/android/chrome/content/browser.js
> >-             elem.localName == 'textarea' ||
> >-             elem.localName == 'html' ||
> >-             elem.localName == 'body')) {
> >+             elem.mozMatchesSelector("html, body, textarea")) ||
> 
> Why?

I assumed it was simply cleanup of an already "out of control" it statement. Are you concerned about performance?
Comment 8 :Ms2ger (⌚ UTC+1/+2) 2011-12-11 07:50:52 PST
(In reply to Mark Finkle (:mfinkle) from comment #7)
> (In reply to Ms2ger from comment #6)
> > Comment on attachment 580409 [details] [diff] [review]
> > Patch
> > 
> > >--- a/mobile/android/chrome/content/browser.js
> > >+++ b/mobile/android/chrome/content/browser.js
> > >-             elem.localName == 'textarea' ||
> > >-             elem.localName == 'html' ||
> > >-             elem.localName == 'body')) {
> > >+             elem.mozMatchesSelector("html, body, textarea")) ||
> > 
> > Why?
> 
> I assumed it was simply cleanup of an already "out of control" it statement.
> Are you concerned about performance?

Not too much, just wondering.
Comment 9 Carla Nadastean 2011-12-12 07:16:20 PST
Retested with:
Mozilla/5.0 (Android; Linux armv7l; rv:11.0a1) Gecko/20111212 Firefox/11.0a1 Fennec/11.0a1
HTC Desire Z (Android 2.3)

Bug no longer reproducible. All lists from http://dl.dropbox.com/u/72157/Testing/Select.html can be scrolled properly.
Verifying bug.

Note You need to log in before you can comment on or make changes to this bug.